Subject: Re: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Jun 2014 22:51:24 -0400

> How can this one single scan-lists called from CC Mode be so slow, yet
> the identical call from the minibuffer be 50 times as fast?

Do the two return the same position?  The time taken by scan-lists is
proportional to the "distance", so a 50x slowdown would not be
surprising if it goes 50x further.

> My understanding is that scan-lists is a primitive operation,
> unaffected by virtually any context (apart from specific things like
> parse-sexp-ignore-comments and syntax-table text properties which are
> meant to affect it).

Another influence could be parse-sexp-lookup-properties, tho it
definitely shouldn't account for more than a few percents.

        Stefan